Bug 173299 - libwmf %postun scriptlet fails due to dependencies not being specified
libwmf %postun scriptlet fails due to dependencies not being specified
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libwmf (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 20:19 EST by Mike A. Harris
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0_2_8_4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 03:40:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2005-11-15 20:19:20 EST
libwmf spec file is missing:

Requires(postun): /usr/bin/update-gdk-pixbuf-loaders

[root@fc4i386 RPMS]# rpm -e libwmf
/var/tmp/rpm-tmp.16651: line 2: /usr/bin/update-gdk-pixbuf-loaders: No such file
or directory
error: %postun(libwmf-0.2.8.3-8.i386) scriptlet failed, exit status 127
Comment 1 Caolan McNamara 2005-11-16 03:30:27 EST
spec and rpm *seem* ok

Spec has Requires(post,postun): %{_bindir}/update-gdk-pixbuf-loaders

and rpm has

rpm -qRp /mnt/redhat/dist/fc5/libwmf/0.2.8.4-1/i386/libwmf-0.2.8.4-1.i386.rpm
...
/usr/bin/update-gdk-pixbuf-loaders
...
Comment 2 Mike A. Harris 2005-11-22 23:09:31 EST
Some versions of rpm have a bug in the way that "Requires(post,postun)"
is parsed, which causes it to be ignored.  This will trigger this failure
when upgrading the OS if a new rpm package has that syntax, and older rpm
is being used, such as by yum upgrade.

Please update the spec to use the following instead, which works on all
versions of rpm:

Requires(post): %{_bindir}/update-gdk-pixbuf-loaders
Requires(postun): %{_bindir}/update-gdk-pixbuf-loaders
Comment 3 Caolan McNamara 2005-11-23 03:40:56 EST
ah ha!, k done.
Comment 4 Need Real Name 2006-07-18 23:13:41 EDT
An old opps still exists in the FC4 libwnf-0.2.8.3-8.2 spec file;

%post
/sbin/ldconfig
%{_bindir}/update-gdk-pixbuf-loaders %{_arch}-%{_host_vendor}-%{_host_os}

%postun 
/sbin/ldconfig
%{_bindir}/update-gdk-pixbuf-loaders %{_arch}-%{_host_vendor}-%{_host_os}




Note You need to log in before you can comment on or make changes to this bug.